%define name    raptor
%define version 1.4.21
%define release %mkrel 6

%define major	1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:   	Raptor RDF Parser Toolkit for Redland
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	GPL LGPL
Group:     	Development/Other
Source:    	http://librdf.org/dist/source/%{name}-%{version}.tar.gz
Patch0:		raptor-1.4.21-curl.patch
Patch1:		raptor-1.4.21-CVE-2012-0037.patch
URL:       	http://librdf.org/raptor/
BuildRequires: 	libxml2-devel
BuildRequires:  curl-devel
Requires:       %{libname}

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %name
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel < %{version}-%{release}
Obsoletes:	%{mklibname -d raptor 1}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/raptor-config

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor.3*
%{_bindir}/rapper

%files -n %libname
%{_libdir}/lib*.so.%{major}*

%files -n %develname
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%_datadir/gtk-doc/html/raptor/
%multiarch %{multiarch_bindir}/raptor-config
%{_bindir}/raptor-config


%changelog

* Sat Apr 21 2012 luigiwalser <luigiwalser> 1.4.21-6.mga2
+ Revision: 232322
- make release tag newer than mdv2010.2

* Fri Apr 20 2012 luigiwalser <luigiwalser> 1.4.21-4.mga2
+ Revision: 232065
- fix CVE-2012-0037 (from debian)

* Fri Apr 06 2012 fwang <fwang> 1.4.21-3.mga2
+ Revision: 229053
- fix build with latest curl
- drop .la file

* Sat Jan 15 2011 mikala <mikala> 1.4.21-2.mga1
+ Revision: 18261
- Drop mdk macros
- Remove BuildRoot
- imported package raptor

